D-Bus 1.13.18

Data Fields
DBusCounter Struct Reference
D-Bus secret internal implementation details » Resource limits implementation details

Internals of DBusCounter. More...

## Data Fields
int | refcount
| reference count
long | size_value
| current size counter value
long | unix_fd_value
| current unix fd counter value
long | notify_size_guard_value
| call notify function when crossing this size value
long | notify_unix_fd_guard_value
| call notify function when crossing this unix fd value
DBusCounterNotifyFunction | notify_function
| notify function
void * | notify_data
| data for notify function
dbus_bool_t | notify_pending: 1
| TRUE if the guard value has been crossed.
DBusRMutex * | mutex
| Lock on the entire DBusCounter.

## Detailed Description

Internals of DBusCounter.

DBusCounter internals. DBusCounter is an opaque object, it must be used via accessor functions.

Definition at line 54 of file dbus-resources.c.

The documentation for this struct was generated from the following file:

- dbus-resources.c